KeySetOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: KeySetOperationContext

Package org.apache.geode.cache.operations

# Class KeySetOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.KeySetOperationContext

@Deprecated public class KeySetOperationContext extends OperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.KEY_SET` operation for both the pre-operation and post-operation cases.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeySetOperationContext(boolean postOperation)`
  Deprecated.
  Constructor for the operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set`
  `getKeySet()`
  Deprecated.
  Get the set of keys returned as a result of `Region.keySet()` operation.
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.
  `void`
  `setKeySet(Set keySet)`
  Deprecated.
  Set the keys to be returned as the result of `Region.keySet()` operation.
  `void`
  `setPostOperation()`
  Deprecated.
  Set the post-operation flag to true.

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeySetOperationContext

    public KeySetOperationContext(boolean postOperation)
    Deprecated.
    Constructor for the operation.
    Parameters:
      `postOperation` - true to set the post-operation flag

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      `OperationCode.KEY_SET`.

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    True if the context is for post-operation.
    Specified by:
      `isPostOperation` in class `OperationContext`
    Returns:
      whether the context is for post-operation

  - ### setPostOperation

    public void setPostOperation()
    Deprecated.
    Set the post-operation flag to true.

  - ### getKeySet

    public Set getKeySet()
    Deprecated.
    Get the set of keys returned as a result of `Region.keySet()` operation.
    Returns:
      the set of keys

  - ### setKeySet

    public void setKeySet(Set keySet)
    Deprecated.
    Set the keys to be returned as the result of `Region.keySet()` operation.
    Parameters:
      `keySet` - the set of keys to be returned for this operation.